'use strict';

function _interopDefault (ex) { return (ex && (typeof ex === 'object') && 'default' in ex) ? ex['default'] : ex; }

var _defineProperty = _interopDefault(require('@babel/runtime/helpers/defineProperty'));

class LocaleResolver {
  constructor(detectors, transformers = []) {
    _defineProperty(this, "locales", void 0);

    _defineProperty(this, "transformers", void 0);

    this.locales = detectors.map(detector => {
      return detector.getLocales();
    }).reduce((a, b) => a.concat(b), []);
    this.transformers = transformers;
  }

  getLocales(transformers = []) {
    let {
      locales
    } = this;
    [...this.transformers, ...transformers].forEach(transformer => {
      locales = transformer.transform(locales);
    });
    return locales.filter((value, index, array) => {
      return array.indexOf(value) === index;
    });
  }

}

module.exports = LocaleResolver;
