import Transformer from './Transformer';
/**
 * This transformer allows you to filter locales
 */
export default class AllowOnlyTransformer extends Transformer {
    private allowedLocales;
    /**
     * Constructor.
     *
     * @param {Array<string>} allowedLocales - list of allowed locales
     */
    constructor(allowedLocales: string[]);
    /**
     * Return only allowed locales.
     *
     * @param {Array<string>} locales - list of locales
     * @returns {Array<string>} allowed locales
     */
    transform(locales: string[]): string[];
}
