import Transformer from './Transformer';
/**
 * This transformer allows you to append default locale.
 */
export default class DefaultLocaleTransformer extends Transformer {
    private defaultLocale;
    /**
     * Constructor.
     *
     * @param {string} defaultLocale - set default locale
     */
    constructor(defaultLocale: string);
    /**
     * Add default locale to end of array
     *
     * @param {Array<string>} locales - list of locales
     * @returns {Array<string>} locales with default
     */
    transform(locales: string[]): string[];
}
